dataclass 0.5.0+1
dataclass: ^0.5.0+1

Dart native js
Flutter Android iOS web

DataClass annotation for dataclass_generator. Used for generating base class with equals, hashCode, toString, copyWith methods.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  dataclass: ^0.5.0+1

2. Install it

You can install packages from the command line:

with pub:

$ pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:dataclass/dataclass.dart';
13
likes
110
pub points
84%
popularity

DataClass annotation for dataclass_generator. Used for generating base class with equals, hashCode, toString, copyWith methods.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

jaroslaw.butajlo@gmail.com

License

MIT (LICENSE)

Dependencies

collection

More

Packages that depend on dataclass